## cargo 0.35.0

=== debian/changelog ===
cargo (0.35.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 06 Sep 2019 09:57:36 -0700

cargo (0.35.0-2) unstable; urgency=medium

  * Use more portable flags in tests, fixing FTBFS on mips.
    (Closes: #930218)

 -- Ximin Luo <infinity0@debian.org>  Sat, 08 Jun 2019 11:04:43 -0700

cargo (0.35.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Fri, 31 May 2019 00:29:11 -0700
