=== debian/control ===
Source: cargo
Section: devel
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders: Luca Bruno <lucab@debian.org>,
 Angus Lees <gus@debian.org>,
 Ximin Luo <infinity0@debian.org>,
 Vasudev Kamath <vasudev@copyninja.info>
Priority: optional
# :native annotations are to support cross-compiling, see README.Debian of rustc
Build-Depends: debhelper (>= 9.20141010),
               dpkg-dev (>= 1.17.14),
               cargo:native    (>= 0.17.0),
               rustc:native    (>= 1.16),
               libstd-rust-dev (>= 1.16),
               pkg-config,
               cmake,
               bash-completion,
               python3:native,
               libcurl4-gnutls-dev | libcurl4-openssl-dev,
               libssh2-1-dev,
               libgit2-dev (>= 0.27),
               libhttp-parser-dev,
               libssl-dev,
               zlib1g-dev,
               git <!nocheck>
Homepage: https://crates.io/
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
Vcs-Browser: https://salsa.debian.org/rust-team/cargo

Package: cargo
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends},
         rustc (>= 1.24),
         binutils,
         gcc | clang | c-compiler
Suggests: cargo-doc, python3
Description: Rust package manager
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.

Package: cargo-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Description: Rust package manager, documentation
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.
 .
 This package contains the documentation.

# TODO: add a cargo-src package
