## cargo 0.36.0

=== debian/changelog ===
cargo (0.36.0-0ubuntu1~19.04.1) disco; urgency=medium

  * Backport to disco.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 11 Jul 2019 12:05:05 +0200

cargo (0.36.0-0ubuntu1) eoan; urgency=medium

  * New upstream version.
    - Refreshed patches.
    - Remove d/patches/typenum-rounding.patch, applied upstream.
    - Add d/patches/disable-large_conflict_cache-test-on-non-x86.patch

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 08 Jul 2019 14:11:59 +0200

cargo (0.35.0-0ubuntu1) eoan; urgency=medium

  * New upstream version.
    - Refresh patches.
    - Remove d/patches/1003_increase_timeout_for_slow_arches_like_mips.patch,
      no longer needed.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 17 May 2019 11:25:23 +1200
