## cargo 0.37.0

=== debian/changelog ===
cargo (0.37.0-3ubuntu2) eoan; urgency=medium

  * Backport fix causing build failures when $HOME was not writable.
    - add debian/patches/0001-Don-t-fail-if-we-can-t-acquire-readonly-lock.patch
    - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 27 Aug 2019 20:33:21 +1200

cargo (0.37.0-3ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series
    - Disable test tool_paths::custom_runner which fails every now and again
      because of a libstd bug (https://github.com/rust-lang/rust/issues/55242)
      - add debian/patches/disable-tool_paths-custom_runner.patch
      - update debian/patches/series
   - Disable the large_conflict_cache test on non-x86
     - add debian/patches/disable-large_conflict_cache-test-on-non-x86.patch
     - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 17 Aug 2019 13:57:21 +1200

cargo (0.37.0-3) unstable; urgency=medium

  * Update 2001_more_portable_rustflags.patch, fixes mips FTBFS

 -- Ximin Luo <infinity0@debian.org>  Sat, 20 Jul 2019 16:02:08 -0700

cargo (0.37.0-2) unstable; urgency=medium

  * Bump serde vendored crate version up to 1.0.96 to avoid issue when
    compiling with atomics (the default).

 -- Ximin Luo <infinity0@debian.org>  Thu, 18 Jul 2019 02:34:48 -0700

cargo (0.37.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 16 Jul 2019 23:06:49 -0700
