=== debian/rules ===
--- 
+++ 
@@ -53,6 +53,3 @@
 override_dh_clean:
 	# Upstream contains a lot of these
 	dh_clean -XCargo.toml.orig
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
