## cargo 0.38.0

=== debian/changelog ===
cargo (0.38.0-0ubuntu1~19.10.1) eoan; urgency=medium

  * Backport to Eoan.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 25 Oct 2019 22:18:32 +1300

cargo (0.38.0-0ubuntu1) focal; urgency=medium

  * New upstream release.
  * d/patches/0001-Don-t-fail-if-we-can-t-acquire-readonly-lock.patch,
    d/patches/1001_vendor_serde_atomic-compat.patch: remove, applied
    upstream
  * Refresh other patches.
  * Embed libgit2 at the commit bundled by libgit2 0.8.2 (e3adc99), as
    it depends on a newer version than that found in Ubuntu today, with
    some binary test-only files removed.
    - add debian/libgit2
    - update debian/control
    - update debian/copyright
    - update debian/rules
    - update debian/README.source
  * Hack the libgit2-sys build process to link the bundled libgit2
    against the system's libhttp_parser.
    - add debian/patches/use-system-libhttp-parser.patch
    - update debian/patches/series
  * Cherry pick fixes to tests for compatibility with toml 0.5.3.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 25 Oct 2019 21:45:58 +1300
