## cargo 0.39.0

=== debian/changelog ===
cargo (0.39.0-0ubuntu1) focal; urgency=medium

  * New upstream release.
  * d/patches/2001_more_portable_rustflags.patch: Delete, applied
    upstream.
  * Refresh other patches.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 29 Oct 2019 21:09:18 +1300
