## cargo 0.39.0+really0.38.0

=== debian/changelog ===
cargo (0.39.0+really0.38.0-0ubuntu1) focal; urgency=medium

  * Re-upload Cargo 0.38 as Cargo 0.39 blocks the bootstrap of rustc 1.38.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 12 Nov 2019 14:01:50 +1300
