## cargo 0.39.0+really0.39.0

=== debian/changelog ===
cargo (0.39.0+really0.39.0-0ubuntu1) focal; urgency=medium

  * Restore Cargo 0.39 now that the rustc update is done.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 13 Nov 2019 22:49:40 +1300
