## cargo 0.40.0

=== debian/changelog ===
cargo (0.40.0-3ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to Bionic. (LP: #1856851)
  * Embed libgit2 0.28.3 to avoid a dependency on a version which is newer
    than that found in disco
    - add debian/libgit2
    - add debian/patches/libgit2-0.28-compat.patch
    - add debian/patches/use-system-libhttp-parser.patch
    - update debian/control
    - update debian/copyright
    - update debiab/patches/series
    - update debian/README.source
    - update debian/rules

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 23 Jan 2020 13:10:56 +1300

cargo (0.40.0-3ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables
      these tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
    - Disable the large_conflict_cache test on non-x86
      - add debian/patches/disable-large_conflict_cache-test-on-non-x86.patch
      - update debian/patches/series
    - Disable test tool_paths::custom_runner which fails every now and again
      because of a libstd bug (https://github.com/rust-lang/rust/issues/55242)
      - add debian/patches/disable-tool_paths-custom_runner.patch
      - update debian/patches/series
  * Dropped changes, included in Debian:
    - d/patches/0001-Don-t-fail-if-we-can-t-acquire-readonly-lock.patch,
      d/patches/1001_vendor_serde_atomic-compat.patch: remove, applied
      upstream
    - d/patches/2001_more_portable_rustflags.patch: Delete, applied
      upstream.
  * Dropped changes, included upstream:
    - Cherry pick fixes to tests for compatibility with toml 0.5.3.
  * Drop bundled libgit2, as Ubuntu now has 0.28.3 which meets the minimum
    requirements.
  * Bump the versioned build-dependency on libgit2-dev.
  * debian/patches/disable-fetch-tests-on-non-x86.patch: update.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Jan 2020 11:51:55 -0800

cargo (0.40.0-3) unstable; urgency=medium

  * debian cargo wrapper: drop DEB_CARGO_PACKAGE in favour of the more
    standardised DESTDIR.
  * Experimental riscv64 support.

 -- Ximin Luo <infinity0@debian.org>  Sun, 05 Jan 2020 13:31:46 +0000

cargo (0.40.0-2) unstable; urgency=medium

  * Restore patch for pkg-config crate to auto-detect Debian cross-compiling.
  * Add patch for backtrace-sys to auto-detect Debian cross-compiling.

 -- Ximin Luo <infinity0@debian.org>  Thu, 05 Dec 2019 22:31:57 +0000

cargo (0.40.0-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Ship the zsh completion (Closes: #941437)

  [ Ximin Luo ]
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Thu, 28 Nov 2019 10:24:46 +0000
