=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 
 export CARGO_HOME = $(CURDIR)/debian/cargo_home
 export DEB_CARGO_CRATE=cargo_$(DEB_VERSION_UPSTREAM)
-export DEB_CARGO_PACKAGE=cargo
 export RUSTFLAGS += --remap-path-prefix=$(CURDIR)=/usr/src/cargo-$(DEB_VERSION_UPSTREAM)
 
 # don't shrink, this can take ages
@@ -46,7 +45,7 @@
 	# no arch-indep tests
 
 override_dh_auto_install:
-	$(CARGO) install
+	DESTDIR=$(CURDIR)/debian/cargo $(CARGO) install
 
 override_dh_auto_clean:
 	$(CARGO) clean
