## cargo 0.41.0

=== debian/changelog ===
cargo (0.41.0-0ubuntu1) focal; urgency=medium

  * "Merge" from Salsa merge request updating to 0.41.0
    https://salsa.debian.org/rust-team/cargo/-/merge_requests/3.
    Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
  * Dropped change, libstd bug fixed:
    - Disable test tool_paths::custom_runner which fails every now and again
      because of a libstd bug (https://github.com/rust-lang/rust/issues/55242)
      - add debian/patches/disable-tool_paths-custom_runner.patch
      - update debian/patches/series
  * Dropped change, equivalent change now in Debian:
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series
  * Dropped change, test no longer run by upstream build:
   - Disable the large_conflict_cache test on non-x86
     - add debian/patches/disable-large_conflict_cache-test-on-non-x86.patch
     - update debian/patches/series
  * Disable filter_platform test on !x86 as it hits an unreachable!
    - add debian/patches/disable-filter_platform-test-on-non-x86.patch
    - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 02 Mar 2020 08:08:51 +0100

cargo (0.40.0-3ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 10:56:41 +0000
