## cargo 0.42.0

=== debian/changelog ===
cargo (0.42.0-0ubuntu1) focal; urgency=medium

  * New upstream version. (LP: #1864174)
  * d/scripts/debian-cargo-vendor: use python3 not python.
  * d/patches/2002_disable-net-tests.patch: delete, tests no longer run
    as part of build.
  * Refresh other patches.
  * d/patches/0001-Fix-tests-with-url-crate-update.patch: backport test
    fix from upstream.
  * d/patches/0002-Fix-doc_target-test-which-no-longer-works-on-stable-.patch:
    backport another test fix from upstream.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 03 Mar 2020 07:45:01 +0100
