=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,6 @@
 
 override_dh_auto_configure:
 	$(CARGO) prepare-debian $(CURDIR)/vendor
-	cp -a debian/libgit2 vendor/libgit2-sys/
 
 override_dh_auto_build-arch:
 	$(CARGO) build
@@ -49,8 +48,6 @@
 
 override_dh_auto_clean:
 	$(CARGO) clean
-# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu 18.04 and older
-	-$(RM) -rf vendor/libgit2-sys/libgit2
 
 override_dh_clean:
 	# Upstream contains a lot of these
