## cargo 0.43.1

=== debian/changelog ===
cargo (0.43.1-3~deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * Backport to buster.
  * Vendor libgit2, the system one is too old.
  * Revert changes to the cargo wrapper: use debian/DEB_CARGO_PACKAGE
    rather than DESTDIR as the latter is not automatically set by
    buster's debhelper.
  * Bump build-dependency on rustc to 1.41.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 15 Sep 2020 13:50:29 +0200

cargo (0.43.1-3) unstable; urgency=medium

  * Reupload, actually include the fix described in the previous entry.

 -- Ximin Luo <infinity0@debian.org>  Mon, 20 Apr 2020 14:30:01 +0100

cargo (0.43.1-2) unstable; urgency=medium

  * cargo-debian-wrapper: don't install /usr/.crates2.json. (Closes: #958301)

 -- Ximin Luo <infinity0@debian.org>  Mon, 20 Apr 2020 13:30:57 +0100

cargo (0.43.1-1) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 Apr 2020 19:54:01 +0100
