=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 export CARGO_HOME = $(CURDIR)/debian/cargo_home
 export DEB_CARGO_CRATE=cargo_$(DEB_VERSION_UPSTREAM)
+export DEB_CARGO_PACKAGE=cargo
 export RUSTFLAGS += --remap-path-prefix=$(CURDIR)=/usr/src/cargo-$(DEB_VERSION_UPSTREAM)
 
 # don't shrink, this can take ages
@@ -31,6 +32,9 @@
 override_dh_auto_configure:
 	$(CARGO) prepare-debian $(CURDIR)/vendor
 
+	cp -a debian/libgit2-0.28.3+dfsg.1 vendor/libgit2-sys/libgit2
+
+
 override_dh_auto_build-arch:
 	$(CARGO) build
 
@@ -44,11 +48,13 @@
 	# no arch-indep tests
 
 override_dh_auto_install:
-	DESTDIR=$(CURDIR)/debian/cargo $(CARGO) install
+	$(CARGO) install
 
 override_dh_auto_clean:
 	$(CARGO) clean
 
+	-$(RM) -rf vendor/libgit2-sys/libgit2
+
 override_dh_clean:
 	# Upstream contains a lot of these
 	dh_clean -XCargo.toml.orig
