## cargo 0.44.1

=== debian/changelog ===
cargo (0.44.1-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to Bionic. (LP: #1876942)
  * Relax debhelper requirement.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 25 Jun 2020 07:53:54 +1200

cargo (0.44.1-0ubuntu1) groovy; urgency=medium

  * New upstream version. (LP: #1876942)
  * Update scripts/debian-cargo-vendor to invoke python3 and cope with V2
    format Cargo.lock files.
  * Refresh patches.
  * Embed libgit2 1.0.0 which is not yet in Debian or Ubuntu.
    - add debian/libgit2
    - add debian/patches/use-system-libhttp-parser.patch
    - update debian/control
    - update debian/copyright
    - update debiab/patches/series
    - update debian/README.source
    - update debian/rules

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 24 Jun 2020 12:40:56 +1200

cargo (0.43.1-3ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable (LP: #1876942): Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 May 2020 21:14:18 +1200

cargo (0.42.0-0ubuntu2) groovy; urgency=medium

  * Cherry-pick commit from Debian to remove /usr/.crates2.json (LP: #1868517)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 29 Apr 2020 13:28:25 +0200
