=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: cargo
 Section: devel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>,
  Ximin Luo <infinity0@debian.org>,
  Vasudev Kamath <vasudev@copyninja.info>
 Priority: optional
 # :native annotations are to support cross-compiling, see README.Debian of rustc
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dpkg-dev (>= 1.17.14),
                cargo:native    (>= 0.17.0),
                rustc:native    (>= 1.16),
@@ -19,8 +18,8 @@
                python3:native,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libssh2-1-dev,
+               libgit2-dev (>= 1),
                libhttp-parser-dev,
-               libpcre3-dev,
                libssl-dev,
                zlib1g-dev,
                git <!nocheck>
