=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,12 @@
 
 export CARGO_HOME = $(CURDIR)/debian/cargo_home
 export DEB_CARGO_CRATE=cargo_$(DEB_VERSION_UPSTREAM)
-export DEB_CARGO_PACKAGE=cargo
 export RUSTFLAGS += --remap-path-prefix=$(CURDIR)=/usr/src/cargo-$(DEB_VERSION_UPSTREAM)
+
+# https://github.com/rust-lang/rust/issues/52108
+ifneq (,$(filter $(DEB_HOST_ARCH), mips64el))
+  RUSTFLAGS += -Ctarget-feature=+xgot
+endif
 
 # don't shrink, this can take ages
 # see https://github.com/rust-lang/cargo/issues/6490 for details
@@ -32,9 +36,6 @@
 override_dh_auto_configure:
 	$(CARGO) prepare-debian $(CURDIR)/vendor
 
-	cp -a debian/libgit2-0.28.3+dfsg.1 vendor/libgit2-sys/libgit2
-
-
 override_dh_auto_build-arch:
 	$(CARGO) build
 
@@ -48,13 +49,12 @@
 	# no arch-indep tests
 
 override_dh_auto_install:
-	$(CARGO) install
+	DESTDIR=$(CURDIR)/debian/cargo $(CARGO) install
 
 override_dh_auto_clean:
 	$(CARGO) clean
 
-	-$(RM) -rf vendor/libgit2-sys/libgit2
-
 override_dh_clean:
 	# Upstream contains a lot of these
 	dh_clean -XCargo.toml.orig
+	rm -f Cargo.lock
