## cargo 0.51.0

=== debian/changelog ===
cargo (0.51.0-0ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
  * New upstream release. (LP: #1915722)
  * Dropped changes:
    - Embed libgit2 1.0.0 which is not yet in Debian or Ubuntu. (Hirsute
      has a new enough libgit2)
    - d/patches/0001-relax-deprecated-diagnostic-message-check.patch,
      d/patches/u-8713.patch: included in upstream release.
  * d/patches/skip-filter_platform-non-amd64.patch: skip a test that fails on
    non amd64 platforms, see https://github.com/rust-lang/cargo/issues/9238.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 08 Mar 2021 09:10:26 +1300

cargo (0.47.0-1~exp1ubuntu1) hirsute; urgency=medium

  * Merge from Debian experimental (LP: #1901571): Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
    - Embed libgit2 1.0.0 which is not yet in Debian or Ubuntu.
      - add debian/libgit2
      - add debian/patches/use-system-libhttp-parser.patch
      - update debian/control
      - update debian/copyright
      - update debiab/patches/series
      - update debian/README.source
      - update debian/rules
  * d/patches/0001-relax-deprecated-diagnostic-message-check.patch:
    backport fix for tests that fail with rustc 1.47 from upstream.
  * d/patches/skip-filters_target-i386.patch: skip a test that fails on
    i386 for silly reasons.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 09 Dec 2020 10:58:12 +1300
