## cargo 0.52.0

=== debian/changelog ===
cargo (0.52.0-0ubuntu1~21.04.1) hirsute; urgency=medium

  * Backport to Hirsute. (LP: #1932145)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 23 Jul 2021 10:59:21 +1200

cargo (0.52.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream version.
  * Backport patch from upstream to fix failure with new version of 'tar'
    crate.
  * Add another patch from upstream

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 06 Jul 2021 11:18:18 +1200
