## cargo 0.53.0

=== debian/changelog ===
cargo (0.53.0-0ubuntu2) jammy; urgency=medium

  * Disable lto::test_profile test on i386.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 26 Oct 2021 11:17:40 +1300

cargo (0.53.0-0ubuntu1) jammy; urgency=medium

  * Do not exclude libgit2 source from libgit2-sys crate.
  * New upstream version.
  * Update patches.
  * Set -march appropriately on armhf.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Oct 2021 16:19:48 +1300

cargo (0.52.0-0ubuntu1) impish; urgency=medium

  * New upstream version.
  * Backport patch from upstream to fix failure with new version of 'tar'
    crate.
  * Add another patch from upstream

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 12 Jul 2021 22:31:53 +1200
