=== debian/watch ===
version=3
https://github.com/rust-lang/cargo/releases /rust-lang/cargo/archive.*/(\d+\.\d+\.\d+)\.tar\.gz
