## cargo 0.54.0

=== debian/changelog ===
cargo (0.54.0-0ubuntu1~18.04.1) bionic; urgency=medium

  [ Michael Hudson-Doyle ]
  * Backport to Bionic. (LP: #1943842)
  * Relax debhelper requirement.
  * Drop change to -march on armhf.
  * Disable the lto::doctest on i386 too.

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 29 Oct 2021 13:07:06 +0200

cargo (0.54.0-0ubuntu1) UNRELEASED; urgency=medium

  * Update debian/watch file to account for GitHub changes.
  * New upstream version.
  * Update patches.
  * Cherry pick 2112-handle-4-siphasher-algorithms.patch from Debian.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 27 Oct 2021 10:18:02 +1300
