=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Vasudev Kamath <vasudev@copyninja.info>
 Priority: optional
 # :native annotations are to support cross-compiling, see README.Debian of rustc
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.17.14),
                cargo:native    (>= 0.17.0),
                rustc:native    (>= 1.16),
@@ -19,7 +19,6 @@
                python3:native,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libssh2-1-dev,
-               libgit2-dev (>= 1),
                libhttp-parser-dev,
                libssl-dev,
                zlib1g-dev,
