## cargo 0.57.0+ubuntu

=== debian/changelog ===
cargo (0.57.0+ubuntu-0ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable (LP: #1952104).
  * Drop all Ubuntu delta, but repack vendor tarball from Debian to contain a
    pristine copy of the libgit2-sys crate, including the bundled libgit2
    source.
  * d/patches/2001-Revert-add-bindings-for-git_branch_name_is_valid-715.patch,
    d/patches/2002-Revert-Bump-libgit2-submodule-to-1.2.0-744.patch: Remove.
  * d/control: Drop libgit2-dev and libhttp-parser-dev from Build-Depends.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 16 Dec 2021 10:39:46 +1300
