=== debian/changelog ===
cargo (0.58.0-0ubuntu1~21.10.1) impish; urgency=medium

  * Backport to Impish. (LP: #1952104)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 25 Jan 2022 19:45:44 +1300

cargo (0.58.0-0ubuntu1) jammy; urgency=medium

  * New upstream version. (LP: #1952104)
  * d/patches/2110-use-mfpu-on-armhf.patch: delete, fixed upstream.
  * d/patches/filetime-pr-75.patch: Backport fix from filetime crate to
    fix ftbfs on s390x.
  * d/patches/libc-pr-2642.patch: Partially backport upstream PR to fix
    another ftbfs on s390x.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 25 Jan 2022 14:06:06 +1300
